Index: issm/trunk/src/m/enum/EnumDefinitions.py
===================================================================
--- issm/trunk/src/m/enum/EnumDefinitions.py	(revision 12709)
+++ issm/trunk/src/m/enum/EnumDefinitions.py	(revision 13395)
@@ -1,2 +1,4 @@
+from StringToEnum import StringToEnum
+
 """
 
@@ -7,14 +9,4 @@
 """
 
-def AutodiffForwardEnum():
-	"""
-	AUTODIFFFORWARDENUM - Enum of AutodiffForward
-
-	   Usage:
-	      macro=AutodiffForwardEnum()
-	"""
-
-	return StringToEnum('AutodiffForward')
-
 def AutodiffIsautodiffEnum():
 	"""
@@ -25,15 +17,75 @@
 	"""
 
-	return StringToEnum('AutodiffIsautodiff')
-
-def AutodiffReverseEnum():
-	"""
-	AUTODIFFREVERSEENUM - Enum of AutodiffReverse
-
-	   Usage:
-	      macro=AutodiffReverseEnum()
-	"""
-
-	return StringToEnum('AutodiffReverse')
+	return StringToEnum('AutodiffIsautodiff')[0]
+
+def AutodiffDependentsEnum():
+	"""
+	AUTODIFFDEPENDENTSENUM - Enum of AutodiffDependents
+
+	   Usage:
+	      macro=AutodiffDependentsEnum()
+	"""
+
+	return StringToEnum('AutodiffDependents')[0]
+
+def AutodiffNumDependentsEnum():
+	"""
+	AUTODIFFNUMDEPENDENTSENUM - Enum of AutodiffNumDependents
+
+	   Usage:
+	      macro=AutodiffNumDependentsEnum()
+	"""
+
+	return StringToEnum('AutodiffNumDependents')[0]
+
+def AutodiffIndependentsEnum():
+	"""
+	AUTODIFFINDEPENDENTSENUM - Enum of AutodiffIndependents
+
+	   Usage:
+	      macro=AutodiffIndependentsEnum()
+	"""
+
+	return StringToEnum('AutodiffIndependents')[0]
+
+def AutodiffNumIndependentsEnum():
+	"""
+	AUTODIFFNUMINDEPENDENTSENUM - Enum of AutodiffNumIndependents
+
+	   Usage:
+	      macro=AutodiffNumIndependentsEnum()
+	"""
+
+	return StringToEnum('AutodiffNumIndependents')[0]
+
+def AutodiffJacobianEnum():
+	"""
+	AUTODIFFJACOBIANENUM - Enum of AutodiffJacobian
+
+	   Usage:
+	      macro=AutodiffJacobianEnum()
+	"""
+
+	return StringToEnum('AutodiffJacobian')[0]
+
+def AutodiffXpEnum():
+	"""
+	AUTODIFFXPENUM - Enum of AutodiffXp
+
+	   Usage:
+	      macro=AutodiffXpEnum()
+	"""
+
+	return StringToEnum('AutodiffXp')[0]
+
+def AutodiffFosForwardOutputEnum():
+	"""
+	AUTODIFFFOSFORWARDOUTPUTENUM - Enum of AutodiffFosForwardOutput
+
+	   Usage:
+	      macro=AutodiffFosForwardOutputEnum()
+	"""
+
+	return StringToEnum('AutodiffFosForwardOutput')[0]
 
 def BalancethicknessSpcthicknessEnum():
@@ -45,5 +97,5 @@
 	"""
 
-	return StringToEnum('BalancethicknessSpcthickness')
+	return StringToEnum('BalancethicknessSpcthickness')[0]
 
 def BalancethicknessStabilizationEnum():
@@ -55,5 +107,5 @@
 	"""
 
-	return StringToEnum('BalancethicknessStabilization')
+	return StringToEnum('BalancethicknessStabilization')[0]
 
 def BalancethicknessThickeningRateEnum():
@@ -65,5 +117,5 @@
 	"""
 
-	return StringToEnum('BalancethicknessThickeningRate')
+	return StringToEnum('BalancethicknessThickeningRate')[0]
 
 def BasalforcingsGeothermalfluxEnum():
@@ -75,5 +127,5 @@
 	"""
 
-	return StringToEnum('BasalforcingsGeothermalflux')
+	return StringToEnum('BasalforcingsGeothermalflux')[0]
 
 def BasalforcingsMeltingRateCorrectionEnum():
@@ -85,5 +137,5 @@
 	"""
 
-	return StringToEnum('BasalforcingsMeltingRateCorrection')
+	return StringToEnum('BasalforcingsMeltingRateCorrection')[0]
 
 def BasalforcingsMeltingRateEnum():
@@ -95,5 +147,5 @@
 	"""
 
-	return StringToEnum('BasalforcingsMeltingRate')
+	return StringToEnum('BasalforcingsMeltingRate')[0]
 
 def BathymetryEnum():
@@ -105,5 +157,5 @@
 	"""
 
-	return StringToEnum('Bathymetry')
+	return StringToEnum('Bathymetry')[0]
 
 def BedEnum():
@@ -115,5 +167,5 @@
 	"""
 
-	return StringToEnum('Bed')
+	return StringToEnum('Bed')[0]
 
 def ConstantsGEnum():
@@ -125,5 +177,5 @@
 	"""
 
-	return StringToEnum('ConstantsG')
+	return StringToEnum('ConstantsG')[0]
 
 def ConstantsReferencetemperatureEnum():
@@ -135,5 +187,5 @@
 	"""
 
-	return StringToEnum('ConstantsReferencetemperature')
+	return StringToEnum('ConstantsReferencetemperature')[0]
 
 def ConstantsYtsEnum():
@@ -145,5 +197,5 @@
 	"""
 
-	return StringToEnum('ConstantsYts')
+	return StringToEnum('ConstantsYts')[0]
 
 def DiagnosticAbstolEnum():
@@ -155,5 +207,5 @@
 	"""
 
-	return StringToEnum('DiagnosticAbstol')
+	return StringToEnum('DiagnosticAbstol')[0]
 
 def DiagnosticIcefrontEnum():
@@ -165,5 +217,5 @@
 	"""
 
-	return StringToEnum('DiagnosticIcefront')
+	return StringToEnum('DiagnosticIcefront')[0]
 
 def DiagnosticIsnewtonEnum():
@@ -175,5 +227,5 @@
 	"""
 
-	return StringToEnum('DiagnosticIsnewton')
+	return StringToEnum('DiagnosticIsnewton')[0]
 
 def DiagnosticMaxiterEnum():
@@ -185,5 +237,5 @@
 	"""
 
-	return StringToEnum('DiagnosticMaxiter')
+	return StringToEnum('DiagnosticMaxiter')[0]
 
 def DiagnosticNumRequestedOutputsEnum():
@@ -195,5 +247,5 @@
 	"""
 
-	return StringToEnum('DiagnosticNumRequestedOutputs')
+	return StringToEnum('DiagnosticNumRequestedOutputs')[0]
 
 def DiagnosticPenaltyFactorEnum():
@@ -205,5 +257,5 @@
 	"""
 
-	return StringToEnum('DiagnosticPenaltyFactor')
+	return StringToEnum('DiagnosticPenaltyFactor')[0]
 
 def DiagnosticReferentialEnum():
@@ -215,5 +267,5 @@
 	"""
 
-	return StringToEnum('DiagnosticReferential')
+	return StringToEnum('DiagnosticReferential')[0]
 
 def DiagnosticReltolEnum():
@@ -225,5 +277,5 @@
 	"""
 
-	return StringToEnum('DiagnosticReltol')
+	return StringToEnum('DiagnosticReltol')[0]
 
 def DiagnosticRequestedOutputsEnum():
@@ -235,5 +287,5 @@
 	"""
 
-	return StringToEnum('DiagnosticRequestedOutputs')
+	return StringToEnum('DiagnosticRequestedOutputs')[0]
 
 def DiagnosticRestolEnum():
@@ -245,5 +297,5 @@
 	"""
 
-	return StringToEnum('DiagnosticRestol')
+	return StringToEnum('DiagnosticRestol')[0]
 
 def DiagnosticRiftPenaltyLockEnum():
@@ -255,5 +307,5 @@
 	"""
 
-	return StringToEnum('DiagnosticRiftPenaltyLock')
+	return StringToEnum('DiagnosticRiftPenaltyLock')[0]
 
 def DiagnosticRiftPenaltyThresholdEnum():
@@ -265,5 +317,5 @@
 	"""
 
-	return StringToEnum('DiagnosticRiftPenaltyThreshold')
+	return StringToEnum('DiagnosticRiftPenaltyThreshold')[0]
 
 def DiagnosticShelfDampeningEnum():
@@ -275,5 +327,5 @@
 	"""
 
-	return StringToEnum('DiagnosticShelfDampening')
+	return StringToEnum('DiagnosticShelfDampening')[0]
 
 def DiagnosticSpcvxEnum():
@@ -285,5 +337,5 @@
 	"""
 
-	return StringToEnum('DiagnosticSpcvx')
+	return StringToEnum('DiagnosticSpcvx')[0]
 
 def DiagnosticSpcvyEnum():
@@ -295,5 +347,5 @@
 	"""
 
-	return StringToEnum('DiagnosticSpcvy')
+	return StringToEnum('DiagnosticSpcvy')[0]
 
 def DiagnosticSpcvzEnum():
@@ -305,5 +357,5 @@
 	"""
 
-	return StringToEnum('DiagnosticSpcvz')
+	return StringToEnum('DiagnosticSpcvz')[0]
 
 def DiagnosticStokesreconditioningEnum():
@@ -315,5 +367,5 @@
 	"""
 
-	return StringToEnum('DiagnosticStokesreconditioning')
+	return StringToEnum('DiagnosticStokesreconditioning')[0]
 
 def DiagnosticVertexPairingEnum():
@@ -325,5 +377,5 @@
 	"""
 
-	return StringToEnum('DiagnosticVertexPairing')
+	return StringToEnum('DiagnosticVertexPairing')[0]
 
 def DiagnosticViscosityOvershootEnum():
@@ -335,5 +387,5 @@
 	"""
 
-	return StringToEnum('DiagnosticViscosityOvershoot')
+	return StringToEnum('DiagnosticViscosityOvershoot')[0]
 
 def FlowequationBordermacayealEnum():
@@ -345,5 +397,5 @@
 	"""
 
-	return StringToEnum('FlowequationBordermacayeal')
+	return StringToEnum('FlowequationBordermacayeal')[0]
 
 def FlowequationBorderpattynEnum():
@@ -355,5 +407,5 @@
 	"""
 
-	return StringToEnum('FlowequationBorderpattyn')
+	return StringToEnum('FlowequationBorderpattyn')[0]
 
 def FlowequationBorderstokesEnum():
@@ -365,5 +417,5 @@
 	"""
 
-	return StringToEnum('FlowequationBorderstokes')
+	return StringToEnum('FlowequationBorderstokes')[0]
 
 def FlowequationElementEquationEnum():
@@ -375,5 +427,5 @@
 	"""
 
-	return StringToEnum('FlowequationElementEquation')
+	return StringToEnum('FlowequationElementEquation')[0]
 
 def FlowequationIshutterEnum():
@@ -385,5 +437,15 @@
 	"""
 
-	return StringToEnum('FlowequationIshutter')
+	return StringToEnum('FlowequationIshutter')[0]
+
+def FlowequationIsl1l2Enum():
+	"""
+	FLOWEQUATIONISL1L2ENUM - Enum of FlowequationIsl1l2
+
+	   Usage:
+	      macro=FlowequationIsl1l2Enum()
+	"""
+
+	return StringToEnum('FlowequationIsl1l2')[0]
 
 def FlowequationIsmacayealpattynEnum():
@@ -395,5 +457,5 @@
 	"""
 
-	return StringToEnum('FlowequationIsmacayealpattyn')
+	return StringToEnum('FlowequationIsmacayealpattyn')[0]
 
 def FlowequationIsstokesEnum():
@@ -405,5 +467,5 @@
 	"""
 
-	return StringToEnum('FlowequationIsstokes')
+	return StringToEnum('FlowequationIsstokes')[0]
 
 def FlowequationVertexEquationEnum():
@@ -415,5 +477,5 @@
 	"""
 
-	return StringToEnum('FlowequationVertexEquation')
+	return StringToEnum('FlowequationVertexEquation')[0]
 
 def FrictionCoefficientEnum():
@@ -425,5 +487,5 @@
 	"""
 
-	return StringToEnum('FrictionCoefficient')
+	return StringToEnum('FrictionCoefficient')[0]
 
 def FrictionPEnum():
@@ -435,5 +497,5 @@
 	"""
 
-	return StringToEnum('FrictionP')
+	return StringToEnum('FrictionP')[0]
 
 def FrictionQEnum():
@@ -445,5 +507,5 @@
 	"""
 
-	return StringToEnum('FrictionQ')
+	return StringToEnum('FrictionQ')[0]
 
 def GeometryHydrostaticRatioEnum():
@@ -455,5 +517,5 @@
 	"""
 
-	return StringToEnum('GeometryHydrostaticRatio')
+	return StringToEnum('GeometryHydrostaticRatio')[0]
 
 def HydrologyCREnum():
@@ -465,5 +527,5 @@
 	"""
 
-	return StringToEnum('HydrologyCR')
+	return StringToEnum('HydrologyCR')[0]
 
 def HydrologyKnEnum():
@@ -475,5 +537,5 @@
 	"""
 
-	return StringToEnum('HydrologyKn')
+	return StringToEnum('HydrologyKn')[0]
 
 def HydrologyNEnum():
@@ -485,5 +547,5 @@
 	"""
 
-	return StringToEnum('HydrologyN')
+	return StringToEnum('HydrologyN')[0]
 
 def HydrologyPEnum():
@@ -495,5 +557,5 @@
 	"""
 
-	return StringToEnum('HydrologyP')
+	return StringToEnum('HydrologyP')[0]
 
 def HydrologyQEnum():
@@ -505,5 +567,5 @@
 	"""
 
-	return StringToEnum('HydrologyQ')
+	return StringToEnum('HydrologyQ')[0]
 
 def HydrologySpcwatercolumnEnum():
@@ -515,5 +577,5 @@
 	"""
 
-	return StringToEnum('HydrologySpcwatercolumn')
+	return StringToEnum('HydrologySpcwatercolumn')[0]
 
 def HydrologyStabilizationEnum():
@@ -525,5 +587,5 @@
 	"""
 
-	return StringToEnum('HydrologyStabilization')
+	return StringToEnum('HydrologyStabilization')[0]
 
 def InversionControlParametersEnum():
@@ -535,5 +597,5 @@
 	"""
 
-	return StringToEnum('InversionControlParameters')
+	return StringToEnum('InversionControlParameters')[0]
 
 def InversionCostFunctionEnum():
@@ -545,5 +607,5 @@
 	"""
 
-	return StringToEnum('InversionCostFunction')
+	return StringToEnum('InversionCostFunction')[0]
 
 def InversionCostFunctionThresholdEnum():
@@ -555,5 +617,5 @@
 	"""
 
-	return StringToEnum('InversionCostFunctionThreshold')
+	return StringToEnum('InversionCostFunctionThreshold')[0]
 
 def InversionCostFunctionsCoefficientsEnum():
@@ -565,5 +627,5 @@
 	"""
 
-	return StringToEnum('InversionCostFunctionsCoefficients')
+	return StringToEnum('InversionCostFunctionsCoefficients')[0]
 
 def InversionCostFunctionsEnum():
@@ -575,5 +637,5 @@
 	"""
 
-	return StringToEnum('InversionCostFunctions')
+	return StringToEnum('InversionCostFunctions')[0]
 
 def InversionGradientOnlyEnum():
@@ -585,5 +647,5 @@
 	"""
 
-	return StringToEnum('InversionGradientOnly')
+	return StringToEnum('InversionGradientOnly')[0]
 
 def InversionGradientScalingEnum():
@@ -595,5 +657,5 @@
 	"""
 
-	return StringToEnum('InversionGradientScaling')
+	return StringToEnum('InversionGradientScaling')[0]
 
 def InversionIscontrolEnum():
@@ -605,5 +667,5 @@
 	"""
 
-	return StringToEnum('InversionIscontrol')
+	return StringToEnum('InversionIscontrol')[0]
 
 def InversionTaoEnum():
@@ -615,5 +677,5 @@
 	"""
 
-	return StringToEnum('InversionTao')
+	return StringToEnum('InversionTao')[0]
 
 def InversionIncompleteAdjointEnum():
@@ -625,5 +687,5 @@
 	"""
 
-	return StringToEnum('InversionIncompleteAdjoint')
+	return StringToEnum('InversionIncompleteAdjoint')[0]
 
 def InversionMaxParametersEnum():
@@ -635,5 +697,5 @@
 	"""
 
-	return StringToEnum('InversionMaxParameters')
+	return StringToEnum('InversionMaxParameters')[0]
 
 def InversionMaxiterPerStepEnum():
@@ -645,5 +707,5 @@
 	"""
 
-	return StringToEnum('InversionMaxiterPerStep')
+	return StringToEnum('InversionMaxiterPerStep')[0]
 
 def InversionMinParametersEnum():
@@ -655,5 +717,5 @@
 	"""
 
-	return StringToEnum('InversionMinParameters')
+	return StringToEnum('InversionMinParameters')[0]
 
 def InversionNstepsEnum():
@@ -665,5 +727,5 @@
 	"""
 
-	return StringToEnum('InversionNsteps')
+	return StringToEnum('InversionNsteps')[0]
 
 def InversionNumControlParametersEnum():
@@ -675,5 +737,5 @@
 	"""
 
-	return StringToEnum('InversionNumControlParameters')
+	return StringToEnum('InversionNumControlParameters')[0]
 
 def InversionNumCostFunctionsEnum():
@@ -685,5 +747,5 @@
 	"""
 
-	return StringToEnum('InversionNumCostFunctions')
+	return StringToEnum('InversionNumCostFunctions')[0]
 
 def InversionStepThresholdEnum():
@@ -695,5 +757,5 @@
 	"""
 
-	return StringToEnum('InversionStepThreshold')
+	return StringToEnum('InversionStepThreshold')[0]
 
 def InversionThicknessObsEnum():
@@ -705,5 +767,5 @@
 	"""
 
-	return StringToEnum('InversionThicknessObs')
+	return StringToEnum('InversionThicknessObs')[0]
 
 def InversionVelObsEnum():
@@ -715,5 +777,5 @@
 	"""
 
-	return StringToEnum('InversionVelObs')
+	return StringToEnum('InversionVelObs')[0]
 
 def InversionVxObsEnum():
@@ -725,5 +787,5 @@
 	"""
 
-	return StringToEnum('InversionVxObs')
+	return StringToEnum('InversionVxObs')[0]
 
 def InversionVyObsEnum():
@@ -735,5 +797,5 @@
 	"""
 
-	return StringToEnum('InversionVyObs')
+	return StringToEnum('InversionVyObs')[0]
 
 def InversionVzObsEnum():
@@ -745,5 +807,5 @@
 	"""
 
-	return StringToEnum('InversionVzObs')
+	return StringToEnum('InversionVzObs')[0]
 
 def MaskElementonfloatingiceEnum():
@@ -755,5 +817,5 @@
 	"""
 
-	return StringToEnum('MaskElementonfloatingice')
+	return StringToEnum('MaskElementonfloatingice')[0]
 
 def MaskElementongroundediceEnum():
@@ -765,5 +827,5 @@
 	"""
 
-	return StringToEnum('MaskElementongroundedice')
+	return StringToEnum('MaskElementongroundedice')[0]
 
 def MaskElementonwaterEnum():
@@ -775,5 +837,5 @@
 	"""
 
-	return StringToEnum('MaskElementonwater')
+	return StringToEnum('MaskElementonwater')[0]
 
 def MaskVertexonfloatingiceEnum():
@@ -785,5 +847,5 @@
 	"""
 
-	return StringToEnum('MaskVertexonfloatingice')
+	return StringToEnum('MaskVertexonfloatingice')[0]
 
 def MaskVertexongroundediceEnum():
@@ -795,5 +857,5 @@
 	"""
 
-	return StringToEnum('MaskVertexongroundedice')
+	return StringToEnum('MaskVertexongroundedice')[0]
 
 def MaskVertexonwaterEnum():
@@ -805,5 +867,5 @@
 	"""
 
-	return StringToEnum('MaskVertexonwater')
+	return StringToEnum('MaskVertexonwater')[0]
 
 def MaterialsBetaEnum():
@@ -815,5 +877,5 @@
 	"""
 
-	return StringToEnum('MaterialsBeta')
+	return StringToEnum('MaterialsBeta')[0]
 
 def MaterialsHeatcapacityEnum():
@@ -825,5 +887,5 @@
 	"""
 
-	return StringToEnum('MaterialsHeatcapacity')
+	return StringToEnum('MaterialsHeatcapacity')[0]
 
 def MaterialsLatentheatEnum():
@@ -835,5 +897,5 @@
 	"""
 
-	return StringToEnum('MaterialsLatentheat')
+	return StringToEnum('MaterialsLatentheat')[0]
 
 def MaterialsMeltingpointEnum():
@@ -845,5 +907,5 @@
 	"""
 
-	return StringToEnum('MaterialsMeltingpoint')
+	return StringToEnum('MaterialsMeltingpoint')[0]
 
 def MaterialsMixedLayerCapacityEnum():
@@ -855,5 +917,5 @@
 	"""
 
-	return StringToEnum('MaterialsMixedLayerCapacity')
+	return StringToEnum('MaterialsMixedLayerCapacity')[0]
 
 def MaterialsRheologyBEnum():
@@ -865,5 +927,5 @@
 	"""
 
-	return StringToEnum('MaterialsRheologyB')
+	return StringToEnum('MaterialsRheologyB')[0]
 
 def MaterialsRheologyBbarEnum():
@@ -875,5 +937,5 @@
 	"""
 
-	return StringToEnum('MaterialsRheologyBbar')
+	return StringToEnum('MaterialsRheologyBbar')[0]
 
 def MaterialsRheologyLawEnum():
@@ -885,5 +947,5 @@
 	"""
 
-	return StringToEnum('MaterialsRheologyLaw')
+	return StringToEnum('MaterialsRheologyLaw')[0]
 
 def MaterialsRheologyNEnum():
@@ -895,5 +957,25 @@
 	"""
 
-	return StringToEnum('MaterialsRheologyN')
+	return StringToEnum('MaterialsRheologyN')[0]
+
+def MaterialsRheologyZEnum():
+	"""
+	MATERIALSRHEOLOGYZENUM - Enum of MaterialsRheologyZ
+
+	   Usage:
+	      macro=MaterialsRheologyZEnum()
+	"""
+
+	return StringToEnum('MaterialsRheologyZ')[0]
+
+def MaterialsRheologyZbarEnum():
+	"""
+	MATERIALSRHEOLOGYZBARENUM - Enum of MaterialsRheologyZbar
+
+	   Usage:
+	      macro=MaterialsRheologyZbarEnum()
+	"""
+
+	return StringToEnum('MaterialsRheologyZbar')[0]
 
 def MaterialsRhoIceEnum():
@@ -905,5 +987,5 @@
 	"""
 
-	return StringToEnum('MaterialsRhoIce')
+	return StringToEnum('MaterialsRhoIce')[0]
 
 def MaterialsRhoWaterEnum():
@@ -915,5 +997,5 @@
 	"""
 
-	return StringToEnum('MaterialsRhoWater')
+	return StringToEnum('MaterialsRhoWater')[0]
 
 def MaterialsRhoFreshwaterEnum():
@@ -925,5 +1007,5 @@
 	"""
 
-	return StringToEnum('MaterialsRhoFreshwater')
+	return StringToEnum('MaterialsRhoFreshwater')[0]
 
 def MaterialsMuWaterEnum():
@@ -935,5 +1017,5 @@
 	"""
 
-	return StringToEnum('MaterialsMuWater')
+	return StringToEnum('MaterialsMuWater')[0]
 
 def MaterialsThermalExchangeVelocityEnum():
@@ -945,5 +1027,5 @@
 	"""
 
-	return StringToEnum('MaterialsThermalExchangeVelocity')
+	return StringToEnum('MaterialsThermalExchangeVelocity')[0]
 
 def MaterialsThermalconductivityEnum():
@@ -955,5 +1037,5 @@
 	"""
 
-	return StringToEnum('MaterialsThermalconductivity')
+	return StringToEnum('MaterialsThermalconductivity')[0]
 
 def MeshAverageVertexConnectivityEnum():
@@ -965,5 +1047,5 @@
 	"""
 
-	return StringToEnum('MeshAverageVertexConnectivity')
+	return StringToEnum('MeshAverageVertexConnectivity')[0]
 
 def MeshDimensionEnum():
@@ -975,5 +1057,5 @@
 	"""
 
-	return StringToEnum('MeshDimension')
+	return StringToEnum('MeshDimension')[0]
 
 def MeshEdgesEnum():
@@ -985,5 +1067,5 @@
 	"""
 
-	return StringToEnum('MeshEdges')
+	return StringToEnum('MeshEdges')[0]
 
 def MeshElementconnectivityEnum():
@@ -995,5 +1077,5 @@
 	"""
 
-	return StringToEnum('MeshElementconnectivity')
+	return StringToEnum('MeshElementconnectivity')[0]
 
 def MeshElementonbedEnum():
@@ -1005,5 +1087,5 @@
 	"""
 
-	return StringToEnum('MeshElementonbed')
+	return StringToEnum('MeshElementonbed')[0]
 
 def MeshElementonsurfaceEnum():
@@ -1015,5 +1097,5 @@
 	"""
 
-	return StringToEnum('MeshElementonsurface')
+	return StringToEnum('MeshElementonsurface')[0]
 
 def MeshElements2dEnum():
@@ -1025,5 +1107,5 @@
 	"""
 
-	return StringToEnum('MeshElements2d')
+	return StringToEnum('MeshElements2d')[0]
 
 def MeshElementsEnum():
@@ -1035,5 +1117,5 @@
 	"""
 
-	return StringToEnum('MeshElements')
+	return StringToEnum('MeshElements')[0]
 
 def MeshLowerelementsEnum():
@@ -1045,5 +1127,5 @@
 	"""
 
-	return StringToEnum('MeshLowerelements')
+	return StringToEnum('MeshLowerelements')[0]
 
 def MeshNumberofedgesEnum():
@@ -1055,5 +1137,5 @@
 	"""
 
-	return StringToEnum('MeshNumberofedges')
+	return StringToEnum('MeshNumberofedges')[0]
 
 def MeshNumberofelements2dEnum():
@@ -1065,5 +1147,5 @@
 	"""
 
-	return StringToEnum('MeshNumberofelements2d')
+	return StringToEnum('MeshNumberofelements2d')[0]
 
 def MeshNumberofelementsEnum():
@@ -1075,5 +1157,5 @@
 	"""
 
-	return StringToEnum('MeshNumberofelements')
+	return StringToEnum('MeshNumberofelements')[0]
 
 def MeshNumberoflayersEnum():
@@ -1085,5 +1167,5 @@
 	"""
 
-	return StringToEnum('MeshNumberoflayers')
+	return StringToEnum('MeshNumberoflayers')[0]
 
 def MeshNumberofvertices2dEnum():
@@ -1095,5 +1177,5 @@
 	"""
 
-	return StringToEnum('MeshNumberofvertices2d')
+	return StringToEnum('MeshNumberofvertices2d')[0]
 
 def MeshNumberofverticesEnum():
@@ -1105,5 +1187,5 @@
 	"""
 
-	return StringToEnum('MeshNumberofvertices')
+	return StringToEnum('MeshNumberofvertices')[0]
 
 def MeshUpperelementsEnum():
@@ -1115,5 +1197,5 @@
 	"""
 
-	return StringToEnum('MeshUpperelements')
+	return StringToEnum('MeshUpperelements')[0]
 
 def MeshVertexonbedEnum():
@@ -1125,5 +1207,5 @@
 	"""
 
-	return StringToEnum('MeshVertexonbed')
+	return StringToEnum('MeshVertexonbed')[0]
 
 def MeshVertexonsurfaceEnum():
@@ -1135,5 +1217,5 @@
 	"""
 
-	return StringToEnum('MeshVertexonsurface')
+	return StringToEnum('MeshVertexonsurface')[0]
 
 def MeshXEnum():
@@ -1145,5 +1227,5 @@
 	"""
 
-	return StringToEnum('MeshX')
+	return StringToEnum('MeshX')[0]
 
 def MeshYEnum():
@@ -1155,5 +1237,5 @@
 	"""
 
-	return StringToEnum('MeshY')
+	return StringToEnum('MeshY')[0]
 
 def MeshZEnum():
@@ -1165,5 +1247,5 @@
 	"""
 
-	return StringToEnum('MeshZ')
+	return StringToEnum('MeshZ')[0]
 
 def MiscellaneousNameEnum():
@@ -1175,5 +1257,5 @@
 	"""
 
-	return StringToEnum('MiscellaneousName')
+	return StringToEnum('MiscellaneousName')[0]
 
 def PrognosticHydrostaticAdjustmentEnum():
@@ -1185,5 +1267,5 @@
 	"""
 
-	return StringToEnum('PrognosticHydrostaticAdjustment')
+	return StringToEnum('PrognosticHydrostaticAdjustment')[0]
 
 def PrognosticMinThicknessEnum():
@@ -1195,5 +1277,5 @@
 	"""
 
-	return StringToEnum('PrognosticMinThickness')
+	return StringToEnum('PrognosticMinThickness')[0]
 
 def PrognosticPenaltyFactorEnum():
@@ -1205,5 +1287,5 @@
 	"""
 
-	return StringToEnum('PrognosticPenaltyFactor')
+	return StringToEnum('PrognosticPenaltyFactor')[0]
 
 def PrognosticSpcthicknessEnum():
@@ -1215,5 +1297,5 @@
 	"""
 
-	return StringToEnum('PrognosticSpcthickness')
+	return StringToEnum('PrognosticSpcthickness')[0]
 
 def PrognosticStabilizationEnum():
@@ -1225,5 +1307,5 @@
 	"""
 
-	return StringToEnum('PrognosticStabilization')
+	return StringToEnum('PrognosticStabilization')[0]
 
 def PrognosticVertexPairingEnum():
@@ -1235,5 +1317,5 @@
 	"""
 
-	return StringToEnum('PrognosticVertexPairing')
+	return StringToEnum('PrognosticVertexPairing')[0]
 
 def QmuIsdakotaEnum():
@@ -1245,5 +1327,5 @@
 	"""
 
-	return StringToEnum('QmuIsdakota')
+	return StringToEnum('QmuIsdakota')[0]
 
 def QmuMassFluxSegmentsEnum():
@@ -1255,5 +1337,5 @@
 	"""
 
-	return StringToEnum('QmuMassFluxSegments')
+	return StringToEnum('QmuMassFluxSegments')[0]
 
 def QmuNumberofpartitionsEnum():
@@ -1265,5 +1347,5 @@
 	"""
 
-	return StringToEnum('QmuNumberofpartitions')
+	return StringToEnum('QmuNumberofpartitions')[0]
 
 def QmuNumberofresponsesEnum():
@@ -1275,5 +1357,5 @@
 	"""
 
-	return StringToEnum('QmuNumberofresponses')
+	return StringToEnum('QmuNumberofresponses')[0]
 
 def QmuPartitionEnum():
@@ -1285,5 +1367,5 @@
 	"""
 
-	return StringToEnum('QmuPartition')
+	return StringToEnum('QmuPartition')[0]
 
 def QmuResponsedescriptorsEnum():
@@ -1295,5 +1377,5 @@
 	"""
 
-	return StringToEnum('QmuResponsedescriptors')
+	return StringToEnum('QmuResponsedescriptors')[0]
 
 def QmuVariabledescriptorsEnum():
@@ -1305,5 +1387,5 @@
 	"""
 
-	return StringToEnum('QmuVariabledescriptors')
+	return StringToEnum('QmuVariabledescriptors')[0]
 
 def RiftsNumriftsEnum():
@@ -1315,5 +1397,5 @@
 	"""
 
-	return StringToEnum('RiftsNumrifts')
+	return StringToEnum('RiftsNumrifts')[0]
 
 def RiftsRiftstructEnum():
@@ -1325,5 +1407,5 @@
 	"""
 
-	return StringToEnum('RiftsRiftstruct')
+	return StringToEnum('RiftsRiftstruct')[0]
 
 def SettingsIoGatherEnum():
@@ -1335,5 +1417,5 @@
 	"""
 
-	return StringToEnum('SettingsIoGather')
+	return StringToEnum('SettingsIoGather')[0]
 
 def SettingsLowmemEnum():
@@ -1345,5 +1427,5 @@
 	"""
 
-	return StringToEnum('SettingsLowmem')
+	return StringToEnum('SettingsLowmem')[0]
 
 def SettingsOutputFrequencyEnum():
@@ -1355,5 +1437,5 @@
 	"""
 
-	return StringToEnum('SettingsOutputFrequency')
+	return StringToEnum('SettingsOutputFrequency')[0]
 
 def SettingsResultsAsPatchesEnum():
@@ -1365,5 +1447,5 @@
 	"""
 
-	return StringToEnum('SettingsResultsAsPatches')
+	return StringToEnum('SettingsResultsAsPatches')[0]
 
 def SettingsWaitonlockEnum():
@@ -1375,5 +1457,65 @@
 	"""
 
-	return StringToEnum('SettingsWaitonlock')
+	return StringToEnum('SettingsWaitonlock')[0]
+
+def SurfaceforcingsDelta18oEnum():
+	"""
+	SURFACEFORCINGSDELTA18OENUM - Enum of SurfaceforcingsDelta18o
+
+	   Usage:
+	      macro=SurfaceforcingsDelta18oEnum()
+	"""
+
+	return StringToEnum('SurfaceforcingsDelta18o')[0]
+
+def SurfaceforcingsDelta18oSurfaceEnum():
+	"""
+	SURFACEFORCINGSDELTA18OSURFACEENUM - Enum of SurfaceforcingsDelta18oSurface
+
+	   Usage:
+	      macro=SurfaceforcingsDelta18oSurfaceEnum()
+	"""
+
+	return StringToEnum('SurfaceforcingsDelta18oSurface')[0]
+
+def SurfaceforcingsIsdelta18oEnum():
+	"""
+	SURFACEFORCINGSISDELTA18OENUM - Enum of SurfaceforcingsIsdelta18o
+
+	   Usage:
+	      macro=SurfaceforcingsIsdelta18oEnum()
+	"""
+
+	return StringToEnum('SurfaceforcingsIsdelta18o')[0]
+
+def SurfaceforcingsPrecipitationsPresentdayEnum():
+	"""
+	SURFACEFORCINGSPRECIPITATIONSPRESENTDAYENUM - Enum of SurfaceforcingsPrecipitationsPresentday
+
+	   Usage:
+	      macro=SurfaceforcingsPrecipitationsPresentdayEnum()
+	"""
+
+	return StringToEnum('SurfaceforcingsPrecipitationsPresentday')[0]
+
+def SurfaceforcingsTemperaturesPresentdayEnum():
+	"""
+	SURFACEFORCINGSTEMPERATURESPRESENTDAYENUM - Enum of SurfaceforcingsTemperaturesPresentday
+
+	   Usage:
+	      macro=SurfaceforcingsTemperaturesPresentdayEnum()
+	"""
+
+	return StringToEnum('SurfaceforcingsTemperaturesPresentday')[0]
+
+def SurfaceforcingsTemperaturesLgmEnum():
+	"""
+	SURFACEFORCINGSTEMPERATURESLGMENUM - Enum of SurfaceforcingsTemperaturesLgm
+
+	   Usage:
+	      macro=SurfaceforcingsTemperaturesLgmEnum()
+	"""
+
+	return StringToEnum('SurfaceforcingsTemperaturesLgm')[0]
 
 def DebugProfilingEnum():
@@ -1385,5 +1527,5 @@
 	"""
 
-	return StringToEnum('DebugProfiling')
+	return StringToEnum('DebugProfiling')[0]
 
 def ProfilingCurrentMemEnum():
@@ -1395,5 +1537,5 @@
 	"""
 
-	return StringToEnum('ProfilingCurrentMem')
+	return StringToEnum('ProfilingCurrentMem')[0]
 
 def ProfilingCurrentFlopsEnum():
@@ -1405,5 +1547,5 @@
 	"""
 
-	return StringToEnum('ProfilingCurrentFlops')
+	return StringToEnum('ProfilingCurrentFlops')[0]
 
 def ProfilingSolutionTimeEnum():
@@ -1415,5 +1557,5 @@
 	"""
 
-	return StringToEnum('ProfilingSolutionTime')
+	return StringToEnum('ProfilingSolutionTime')[0]
 
 def MaxIterationConvergenceFlagEnum():
@@ -1425,5 +1567,5 @@
 	"""
 
-	return StringToEnum('MaxIterationConvergenceFlag')
+	return StringToEnum('MaxIterationConvergenceFlag')[0]
 
 def SteadystateMaxiterEnum():
@@ -1435,5 +1577,5 @@
 	"""
 
-	return StringToEnum('SteadystateMaxiter')
+	return StringToEnum('SteadystateMaxiter')[0]
 
 def SteadystateNumRequestedOutputsEnum():
@@ -1445,5 +1587,5 @@
 	"""
 
-	return StringToEnum('SteadystateNumRequestedOutputs')
+	return StringToEnum('SteadystateNumRequestedOutputs')[0]
 
 def SteadystateReltolEnum():
@@ -1455,5 +1597,5 @@
 	"""
 
-	return StringToEnum('SteadystateReltol')
+	return StringToEnum('SteadystateReltol')[0]
 
 def SteadystateRequestedOutputsEnum():
@@ -1465,5 +1607,5 @@
 	"""
 
-	return StringToEnum('SteadystateRequestedOutputs')
+	return StringToEnum('SteadystateRequestedOutputs')[0]
 
 def SurfaceEnum():
@@ -1475,5 +1617,5 @@
 	"""
 
-	return StringToEnum('Surface')
+	return StringToEnum('Surface')[0]
 
 def SurfaceforcingsPrecipitationEnum():
@@ -1485,5 +1627,5 @@
 	"""
 
-	return StringToEnum('SurfaceforcingsPrecipitation')
+	return StringToEnum('SurfaceforcingsPrecipitation')[0]
 
 def SurfaceforcingsMassBalanceEnum():
@@ -1495,5 +1637,5 @@
 	"""
 
-	return StringToEnum('SurfaceforcingsMassBalance')
+	return StringToEnum('SurfaceforcingsMassBalance')[0]
 
 def SurfaceforcingsIspddEnum():
@@ -1505,5 +1647,5 @@
 	"""
 
-	return StringToEnum('SurfaceforcingsIspdd')
+	return StringToEnum('SurfaceforcingsIspdd')[0]
 
 def SurfaceforcingsIssmbgradientsEnum():
@@ -1515,5 +1657,5 @@
 	"""
 
-	return StringToEnum('SurfaceforcingsIssmbgradients')
+	return StringToEnum('SurfaceforcingsIssmbgradients')[0]
 
 def SurfaceforcingsMonthlytemperaturesEnum():
@@ -1525,5 +1667,5 @@
 	"""
 
-	return StringToEnum('SurfaceforcingsMonthlytemperatures')
+	return StringToEnum('SurfaceforcingsMonthlytemperatures')[0]
 
 def SurfaceforcingsHcEnum():
@@ -1535,5 +1677,5 @@
 	"""
 
-	return StringToEnum('SurfaceforcingsHc')
+	return StringToEnum('SurfaceforcingsHc')[0]
 
 def SurfaceforcingsSmbPosMaxEnum():
@@ -1545,5 +1687,5 @@
 	"""
 
-	return StringToEnum('SurfaceforcingsSmbPosMax')
+	return StringToEnum('SurfaceforcingsSmbPosMax')[0]
 
 def SurfaceforcingsSmbPosMinEnum():
@@ -1555,5 +1697,5 @@
 	"""
 
-	return StringToEnum('SurfaceforcingsSmbPosMin')
+	return StringToEnum('SurfaceforcingsSmbPosMin')[0]
 
 def SurfaceforcingsAPosEnum():
@@ -1565,5 +1707,5 @@
 	"""
 
-	return StringToEnum('SurfaceforcingsAPos')
+	return StringToEnum('SurfaceforcingsAPos')[0]
 
 def SurfaceforcingsBPosEnum():
@@ -1575,5 +1717,5 @@
 	"""
 
-	return StringToEnum('SurfaceforcingsBPos')
+	return StringToEnum('SurfaceforcingsBPos')[0]
 
 def SurfaceforcingsANegEnum():
@@ -1585,5 +1727,5 @@
 	"""
 
-	return StringToEnum('SurfaceforcingsANeg')
+	return StringToEnum('SurfaceforcingsANeg')[0]
 
 def SurfaceforcingsBNegEnum():
@@ -1595,5 +1737,5 @@
 	"""
 
-	return StringToEnum('SurfaceforcingsBNeg')
+	return StringToEnum('SurfaceforcingsBNeg')[0]
 
 def ThermalMaxiterEnum():
@@ -1605,5 +1747,5 @@
 	"""
 
-	return StringToEnum('ThermalMaxiter')
+	return StringToEnum('ThermalMaxiter')[0]
 
 def ThermalPenaltyFactorEnum():
@@ -1615,5 +1757,5 @@
 	"""
 
-	return StringToEnum('ThermalPenaltyFactor')
+	return StringToEnum('ThermalPenaltyFactor')[0]
 
 def ThermalPenaltyLockEnum():
@@ -1625,5 +1767,5 @@
 	"""
 
-	return StringToEnum('ThermalPenaltyLock')
+	return StringToEnum('ThermalPenaltyLock')[0]
 
 def ThermalPenaltyThresholdEnum():
@@ -1635,5 +1777,5 @@
 	"""
 
-	return StringToEnum('ThermalPenaltyThreshold')
+	return StringToEnum('ThermalPenaltyThreshold')[0]
 
 def ThermalSpctemperatureEnum():
@@ -1645,5 +1787,5 @@
 	"""
 
-	return StringToEnum('ThermalSpctemperature')
+	return StringToEnum('ThermalSpctemperature')[0]
 
 def ThermalStabilizationEnum():
@@ -1655,5 +1797,5 @@
 	"""
 
-	return StringToEnum('ThermalStabilization')
+	return StringToEnum('ThermalStabilization')[0]
 
 def ThermalIsenthalpyEnum():
@@ -1665,5 +1807,5 @@
 	"""
 
-	return StringToEnum('ThermalIsenthalpy')
+	return StringToEnum('ThermalIsenthalpy')[0]
 
 def ThicknessEnum():
@@ -1675,5 +1817,5 @@
 	"""
 
-	return StringToEnum('Thickness')
+	return StringToEnum('Thickness')[0]
 
 def TimesteppingStartTimeEnum():
@@ -1685,5 +1827,5 @@
 	"""
 
-	return StringToEnum('TimesteppingStartTime')
+	return StringToEnum('TimesteppingStartTime')[0]
 
 def TimesteppingFinalTimeEnum():
@@ -1695,5 +1837,5 @@
 	"""
 
-	return StringToEnum('TimesteppingFinalTime')
+	return StringToEnum('TimesteppingFinalTime')[0]
 
 def TimesteppingCflCoefficientEnum():
@@ -1705,5 +1847,5 @@
 	"""
 
-	return StringToEnum('TimesteppingCflCoefficient')
+	return StringToEnum('TimesteppingCflCoefficient')[0]
 
 def TimesteppingTimeAdaptEnum():
@@ -1715,5 +1857,5 @@
 	"""
 
-	return StringToEnum('TimesteppingTimeAdapt')
+	return StringToEnum('TimesteppingTimeAdapt')[0]
 
 def TimesteppingTimeStepEnum():
@@ -1725,5 +1867,5 @@
 	"""
 
-	return StringToEnum('TimesteppingTimeStep')
+	return StringToEnum('TimesteppingTimeStep')[0]
 
 def TransientIsdiagnosticEnum():
@@ -1735,5 +1877,5 @@
 	"""
 
-	return StringToEnum('TransientIsdiagnostic')
+	return StringToEnum('TransientIsdiagnostic')[0]
 
 def TransientIsgroundinglineEnum():
@@ -1745,5 +1887,5 @@
 	"""
 
-	return StringToEnum('TransientIsgroundingline')
+	return StringToEnum('TransientIsgroundingline')[0]
 
 def TransientIsprognosticEnum():
@@ -1755,5 +1897,5 @@
 	"""
 
-	return StringToEnum('TransientIsprognostic')
+	return StringToEnum('TransientIsprognostic')[0]
 
 def TransientIsthermalEnum():
